import request from '@/utils/request'

// 查询retreat列表
export function listRetreat(query) {
    return request({
        url: '/system/retreat/list',
        method: 'get',
        params: query
    })
}

// 查询retreat详细
export function getRetreat (id) {
    return request({
        url: '/system/retreat/edit?id='+id,
        method: 'get'
    })
}


// 提交retreat
export function retreatSubmit(data) {
    return request({
        url: '/system/retreat/retreatSubmit',
        method: 'post',
        data: data
    })
}

// 获取售后类型，等
export function getSearchParams(query) {
  return request({
    url: '/system/retreat/getSearchParams',
    method: 'get',
    params: query
  })
}
// // 修改retreat
// export function updateRetreat(data) {
//     return request({
//         url: '/system/retreat/edit',
//         method: 'post',
//         data: data
//     })
// }

// // 删除retreat
// export function delRetreat(ids) {
//     return request({
//         url: '/system/retreat/delete',
//         method: 'delete',
//         data:{ids:ids}
//     })
// }

